sqlite3-ruby-1.2.2 is broken on OS X

August 14, 2008 at 9:58 pm Leave a comment

So I just spent ages trying to figure out why the latest version of sqlite3-ruby wouldn’t run on OS X. Turns out there is a bug

If you are getting an error that looks like:

dyld: NSLinkModule() error
    dyld: Symbol not found: _RSTRING_PTR
      Referenced from: /usr/local/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.2/lib/sqlite3_api.bundle
      Expected in: flat namespace

    Trace/BPT trap

Its best to revert back to 1.2.1 which seems to work fine. This behavior occurs on Tiger and Ruby 1.8.4.

Advertisements

Entry filed under: ruby.

Rails style meta programming in Ruby – part 2 Code Comments are not for tracking changes

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Trackback this post  |  Subscribe to the comments via RSS Feed


Feeds


%d bloggers like this: